Nimbu Developer Docs
ReferenceProducts

Create a checkout profile

POST
/products/checkout_profiles

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Request Body

application/json

Checkout profile payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/products/checkout_profiles" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "url": "http://example.com",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "slug": "string",
  "name": "string",
  "private_fields": [
    "string"
  ],
  "customizations": [
    {
      "name": "string",
      "label": "string",
      "hint": "string",
      "type": "string",
      "required": true,
      "required_expression": "string",
      "immutable": true,
      "localized": true,
      "unique": true,
      "encrypted": true,
      "auto_expand": true,
      "select_options": [
        {
          "id": "string",
          "position": 0,
          "name": "string",
          "slug": "string"
        }
      ],
      "private_storage": true,
      "text_formatting": "string",
      "reference": "string",
      "geo_type": "string",
      "calculated_expression": "string",
      "calculation_type": "string",
      "id": "string",
      "url": "http://example.com",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}